# Managing OIDC Providers Once you have created an OIDC Provider, use the Customer Portal or the Equinix API to update or manage it. Necessary permissions to manage OIDC providers are either: * Role-based Access Control - The `Equinix Company Admin` role or a custom role with: `sts.oidcprovider.list`, `sts.oidcprovider.suspend`, `sts.oidcprovider.resume`, `sts.oidcprovider.delete`. * Attribute-based Access Control - An Access Policy containing: `use/pageOidcProviders`, `use/suspendOidcProvider`, `use/resumeOidcProvider`, `use/deleteOidcProvider`. ## View Your Providers[​](#view-your-providers "Direct link to View Your Providers") * Portal * API 1. Sign in to the [Customer Portal](https://portal.equinix.com) --> *Identity and Access Management*. 2. Open the *OIDC Providers* tab. The table lists your identity providers, their *Issuer URI*, and their status. ![Customer Portal OIDC Providers list showing issuer URI and status columns](https://docs.equinix.com/assets/images/oidc-providers-list-b9bb3bc9ab477e1209d12e65ef8dc199.png) To list all your OIDC providers, send a `GET` request to the [`/v1/projects/{projectId}/oidcProviders`](https://docs.equinix.com/api-catalog/stsv1/v1-oidc-provider/pageoidcproviders.md) endpoint. Specify your project ID in the path of the request. Sample cURL Request: ``` curl -X GET 'https://sts.eqix.equinix.com/v1/projects/{projectId}/oidcProviders' \ -H 'Authorization: Bearer ' ``` ### Provider Status[​](#provider-status "Direct link to Provider Status") A provider can be either `ENABLED` or `SUSPENDED`. * ENABLED - The provider is trusted, and token exchange is enabled. ID tokens from this OIDC provider can be validated and exchanged. * SUSPENDED - The previously established trust relationship has been suspended. Token exchange for ID tokens from this provider is currently disabled. ## Suspend an OIDC Provider[​](#suspend-an-oidc-provider "Direct link to Suspend an OIDC Provider") * Portal * API On the *OIDC Providers* tab, locate the provider you want to disable in the list of providers. Click the broken chain icon to suspend an identity provider. The OIDC provider status is updated to `SUSPENDED`. To suspend an OIDC provider, send a `POST` request to the [`/v1/projects/{projectId}/oidcProviders/{idpId}/suspend`](https://docs.equinix.com/api-catalog/stsv1/v1-oidc-provider/suspendoidcprovider.md) endpoint. Specify the project and the IdP ID in the path of the request. There are no body parameters for this request. Sample cURL Request: ``` curl -X POST 'https://sts.eqix.equinix.com/v1/projects/{projectId}/oidcProviders/{idpId}/suspend' \ -H 'Authorization: Bearer ' ``` ## Resume an OIDC Provider[​](#resume-an-oidc-provider "Direct link to Resume an OIDC Provider") * Portal * API On the *OIDC Providers* tab, locate the provider you want to enable in the list of providers. Click the chain icon to enable an identity provider. The OIDC provider status is updated to `ENABLED`. To resume a suspended OIDC provider, send a `POST` request to the [`/v1/projects/{projectId}/oidcProviders/{idpId}/resume`](https://docs.equinix.com/api-catalog/stsv1/v1-oidc-provider/resumeoidcprovider.md) endpoint. Specify the project and the IDP ID in the path of the request. There are no body parameters for this request. Sample cURL Request: ``` curl -X POST 'https://sts.eqix.equinix.com/v1/projects/{projectId}/oidcProviders/{idpId}/resume' \ -H 'Authorization: Bearer ' ``` ## Delete an OIDC Provider[​](#delete-an-oidc-provider "Direct link to Delete an OIDC Provider") > **Warning** > > Deleting an OIDC Provider is permanent. To re-enable the trust relationship and token exchange, you have to [re-create](https://docs.equinix.com/iam/oidc/create-oidc-provider.md). For temporarily disabling an OIDC provider, see [Suspend an OIDC Provider](#suspend-an-oidc-provider). * Portal * API On the *OIDC Providers* tab, locate the provider you want to delete in the list of providers. Click the trash can to delete the identity provider. ![Customer Portal OIDC Providers tab showing the trash can icon to delete an identity provider](https://docs.equinix.com/assets/images/oidc-providers-delete-6797b30589884fc2326484d056176c26.png) To delete an OIDC provider, send a `DELETE` request to the [`/v1/projects/{projectId}/oidcProviders/{idpId}`](https://docs.equinix.com/api-catalog/stsv1/v1-oidc-provider/deleteoidcprovider.md) endpoint. You must specify the project ID and the idpID in the path of the request. Sample cURL Request: ``` curl -X DELETE 'https://sts.eqix.equinix.com/v1/projects/{projectId}/oidcProviders/{idpId}' \ -H 'Authorization: Bearer ' ```